public class Sortierung {

	public static void main(String[] args) {
		int[] feld = { 2, 5, 2 ,-2, -5, 3, 7, 1 };
		print(feld);
		insertionSort(feld);
		print(feld);
	}

	static void print(int[] vektor) {
		IO.print("Vektor: ");
		for (int i = 0; i < vektor.length; i++)
			IO.print(vektor[i] + " ");
		IO.println();
	}

	static void bubbleSort(int[] zahlen) { // Bubblesort
		boolean tauschStattgefunden = true;
		int anzahlSortierteZahlen = 0;
		do {
			tauschStattgefunden = false;
			for (int i = zahlen.length - 1; i > anzahlSortierteZahlen; i--) {
				if (zahlen[i] < zahlen[i - 1]) {
					int speicher = zahlen[i];
					zahlen[i] = zahlen[i - 1];
					zahlen[i - 1] = speicher;
					tauschStattgefunden = true;
				}
			}
			anzahlSortierteZahlen++;
		} while (tauschStattgefunden);
	}

	static void selectionSort(int[] zahlen) {
		for (int aktI = 0; aktI < zahlen.length - 1; aktI++) {
			int minI = aktI;
			for (int suchI = aktI + 1; suchI < zahlen.length; suchI++) {
				if (zahlen[suchI] < zahlen[minI]) {
					minI = suchI;
				}
			}
			int speicher = zahlen[aktI];
			zahlen[aktI] = zahlen[minI];
			zahlen[minI] = speicher;
		}
	}

	static void insertionSort(int[] zahlen) {
		for (int aktI = 1; aktI < zahlen.length; aktI++) {
			int aktZ = zahlen[aktI];
			int vglI = aktI - 1;
			while (vglI >= 0 && zahlen[vglI] > aktZ) {
				zahlen[vglI + 1] = zahlen[vglI];
				vglI--;
			}
			zahlen[vglI + 1] = aktZ;
		}
	}

}
